import {LOADED_ALL_RESULTS, LOADED_ALL_TOPICS, START_LOADING_ALL_RESULTS} from "./action_types";
import {fetchAllTopics} from "../utils/api";
import {APIError} from "./errors";
import {setItem} from "../utils/safe-storage";
export function getSearchResults(categoryKey, searchValue) {
  // get the stuff from the api
  // dispatch loaded

  switch (categoryKey) {
    case 'topic':
      console.log('topic')
      return dispatch => {
        dispatch(loadingAllResults())
        // this calls the API
        fetchAllTopics()
          .then(topics => {
            dispatch(loadedTopics(topics));
          }).catch(error => {
          dispatch(APIError(error));
        })
      };
    case 'date':
      console.log('date')
    case 'location':
      console.log('location')
    default:
      console.log('none')
  }

}
function loadingAllResults() {
  
}

function loadedTopics(topics) {
  // cache
  setItem('allTopics', JSON.stringify(topics));
  setItem('topicsUpdatedAt', new Date());
  return {
    type: LOADED_ALL_RESULTS,
    payload: topics
  };
};